## civicrm 4.7.1+dfsg

=== packages/PHPgettext/Makefile ===
PACKAGE = php-gettext-$(VERSION)
VERSION = 1.0.10

DIST_FILES = \
	gettext.php \
	gettext.inc \
	streams.php \
	AUTHORS     \
	README      \
	COPYING     \
	Makefile    \
	examples/index.php    \
	examples/pigs_dropin.php    \
	examples/pigs_fallback.php    \
	examples/locale/sr_CS/LC_MESSAGES/messages.po \
	examples/locale/sr_CS/LC_MESSAGES/messages.mo \
	examples/locale/de_CH/LC_MESSAGES/messages.po \
	examples/locale/de_CH/LC_MESSAGES/messages.mo \
	examples/update \
	tests/LocalesTest.php \
	tests/ParsingTest.php

check:
	phpunit --verbose tests

dist: check
	if [ -d $(PACKAGE) ]; then \
	    rm -rf $(PACKAGE); \
	fi; \
	mkdir $(PACKAGE); \
	if [ -d $(PACKAGE) ]; then \
	    cp -rp --parents $(DIST_FILES) $(PACKAGE); \
	    tar cvzf $(PACKAGE).tar.gz $(PACKAGE); \
	    rm -rf $(PACKAGE); \
	fi;

clean:
	rm -f $(PACKAGE).tar.gz

=== debian/changelog ===
civicrm (4.7.1+dfsg-2ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 22 Mar 2016 16:00:29 -0700

civicrm (4.7.1+dfsg-2) unstable; urgency=medium

  * Removed packages from Build-Depends:
    - php-html-common (Closes: #814963).
    - php-html-template-it
    - php-xml-rpc2
  * Versioned Depends on "ckeditor (>= 4.5.6~)".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 17 Feb 2016 21:04:05 +1100

civicrm (4.7.1+dfsg-1) unstable; urgency=medium

  * Initial release [February 2016] (Closes: #645700).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 04 Feb 2016 15:50:49 +1100

=== debian/control ===
Source: civicrm
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.14~), dh-linktree
# unbundled:
    ,fonts-font-awesome
#    ,fonts-tlwg-norasi
    ,libjs-angularjs
    ,libjs-backbone
    ,libjs-d3
    ,libjs-jquery (>= 1.11.3~)
# ,libjs-jquery-datatables
    ,libjs-jquery-form
    ,libjs-jquery-mousewheel
    ,libjs-jquery-ui (>= 1.10.1~)
#    ,libjs-lodash
    ,libjs-prettify
    ,libjs-qunit
    ,libjs-swfobject
#    ,libjs-underscore
#    ,php-config
    ,libfpdi-php
    ,php-auth-sasl
    ,php-codecoverage
    ,php-console-table
    ,php-date
#    ,php-db
    ,php-dompdf
    ,php-file-iterator
    ,php-font-lib
    ,php-gettext
    ,php-htmlpurifier
    ,php-http-request
    ,php-log
    ,php-mail
    ,php-mail-mime
    ,php-mail-mimedecode
    ,php-net-dime
    ,php-net-smtp
    ,php-net-socket
    ,php-pager
    ,php-pear
    ,php-psr-log
    ,php-tcpdf
    ,php-text-template
    ,php-seclib
    ,php-services-json
#    ,php-symfony-config (>= 2.5)
#    ,php-symfony-dependency-injection (>= 2.5)
#    ,php-symfony-event-dispatcher (>= 2.5)
#    ,php-symfony-filesystem (>= 2.5)
#    ,php-symfony-finder (>= 2.5)
#    ,php-symfony-process (>= 2.5)
    ,php-timer
    ,php-token-stream
    ,php-validate
    ,smarty3
Build-Depends-Indep:
    unzip
Standards-Version: 3.9.6
Homepage: https://civicrm.org
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/civicrm.git
Vcs-Git: https://anonscm.debian.org/collab-maint/civicrm.git

Package: civicrm-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
        ,ckeditor (>= 4.5.6~)
        ,fonts-font-awesome
        ,libjs-jquery (>= 1.11.3~)
        ,libjs-jquery-ui (>= 1.10.1~)
Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n, php-curl
Suggests: ${phpcomposer:Debian-suggest}
         ,drupal7-mod-civicrm | wordpress-civicrm
Description: CiviCRM common files
 CiviCRM is web-based, Constituent Relationship Management (CRM) software
 geared toward meeting the needs of non-profit and other civic-sector
 organizations.
 .
 As a non profit committed to the public good itself, CiviCRM understands
 that forging and growing strong relationships with constituents is about
 more than collecting and tracking constituent data - it is about sustaining
 relationships with supporters over time.
 .
 With CiviCRM's robust feature set, organizations can further their mission
 through contact management, fundraising, event management, member
 management, mass e-mail marketing, peer-to-peer campaigns, case management,
 and much more.
 .
 CiviCRM is a solution for managing
  * Contacts & relationships
  * Events & registration
  * Fundraising
  * Online payments
  * Communications
  * Mailing lists
  * Membership
  * Clients
  * Reports
 .
 This package contains core components of CiviCRM.

Package: civicrm-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, civicrm-common (= ${source:Version})
Enhances: civicrm-common
Description: CiviCRM country and language data
 CiviCRM is web-based, Constituent Relationship Management (CRM) software
 geared toward meeting the needs of non-profit and other civic-sector
 organizations.
 .
 As a non profit committed to the public good itself, CiviCRM understands
 that forging and growing strong relationships with constituents is about
 more than collecting and tracking constituent data - it is about sustaining
 relationships with supporters over time.
 .
 With CiviCRM's robust feature set, organizations can further their mission
 through contact management, fundraising, event management, member
 management, mass e-mail marketing, peer-to-peer campaigns, case management,
 and much more.
 .
 This package contains CiviCRM language files and countries data.

Package: drupal7-mod-civicrm
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, drupal7, civicrm-common (= ${source:Version})
Suggests: civicrm-l10n
Enhances: drupal7
Description: CiviCRM plugin for Drupal7
 CiviCRM is web-based, Constituent Relationship Management (CRM) software
 geared toward meeting the needs of non-profit and other civic-sector
 organizations.
 .
 As a non profit committed to the public good itself, CiviCRM understands
 that forging and growing strong relationships with constituents is about
 more than collecting and tracking constituent data - it is about sustaining
 relationships with supporters over time.
 .
 With CiviCRM's robust feature set, organizations can further their mission
 through contact management, fundraising, event management, member
 management, mass e-mail marketing, peer-to-peer campaigns, case management,
 and much more.
 .
 This package proviced CiviCRM plugin for Drupal7.

Package: wordpress-civicrm
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, wordpress, civicrm-common (= ${source:Version})
Suggests: civicrm-l10n
Enhances: wordpress
Description: CiviCRM plugin for WordPress
 CiviCRM is web-based, Constituent Relationship Management (CRM) software
 geared toward meeting the needs of non-profit and other civic-sector
 organizations.
 .
 As a non profit committed to the public good itself, CiviCRM understands
 that forging and growing strong relationships with constituents is about
 more than collecting and tracking constituent data - it is about sustaining
 relationships with supporters over time.
 .
 With CiviCRM's robust feature set, organizations can further their mission
 through contact management, fundraising, event management, member
 management, mass e-mail marketing, peer-to-peer campaigns, case management,
 and much more.
 .
 This package proviced CiviCRM plugin for WordPress.

=== debian/watch ===
version=3

## Redirector http://qa.debian.org/watch/sf.php/civicrm/
opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 http://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)

## only latest version; no history.
opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://civicrm.org/download/list \
 .*/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)(?:\?src=donate)

## civicrm 4.7.4+dfsg

=== debian/changelog ===
civicrm (4.7.4+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Switch from "symfony-system.patch" to "symfony-bundled.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 28 Mar 2016 10:52:58 +1100

civicrm (4.7.4+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Completely removed bundled "php-dompdf".
  * Fixed drupal7 symlink conflict (Closes: #817815).
  * Switch to bundled "php-font-lib" (Closes: #817116).
  * Removed obsolete "CRM-17968.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Mar 2016 20:01:06 +1100

civicrm (4.7.2+dfsg-2) unstable; urgency=medium

  * New "CRM-17968.patch".
  * Switch to system "php-seclib".
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 Feb 2016 02:24:38 +1100

civicrm (4.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release [February 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 18 Feb 2016 14:29:59 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: civicrm
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:
     ,fonts-font-awesome
@@ -47,6 +46,7 @@
     ,php-text-template
     ,php-seclib
     ,php-services-json
+# Generated automatically by dh_phpcomposer:
 #    ,php-symfony-config (>= 2.5)
 #    ,php-symfony-dependency-injection (>= 2.5)
 #    ,php-symfony-event-dispatcher (>= 2.5)
@@ -59,7 +59,7 @@
     ,smarty3
 Build-Depends-Indep:
     unzip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://civicrm.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/civicrm.git
 Vcs-Git: https://anonscm.debian.org/collab-maint/civicrm.git
@@ -72,7 +72,8 @@
         ,fonts-font-awesome
         ,libjs-jquery (>= 1.11.3~)
         ,libjs-jquery-ui (>= 1.10.1~)
-Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n, php-curl
+    ,php-seclib
+Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n, php5-curl
 Suggests: ${phpcomposer:Debian-suggest}
          ,drupal7-mod-civicrm | wordpress-civicrm
 Description: CiviCRM common files

## civicrm 4.7.6+dfsg

=== debian/changelog ===
civicrm (4.7.6+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Switch from "symfony-system.patch" to "symfony-bundled.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Apr 2016 15:01:47 +1000

civicrm (4.7.6+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Another drupal7 symlink conflict correction (Closes: #817815).
  * Introduced "pkg-php-tools-overrides" to correct composer dependencies.
  * Removed "php-pager" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Apr 2016 09:21:14 +1000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
     ,php-net-dime
     ,php-net-smtp
     ,php-net-socket
-    ,php-pager
+#    ,php-pager
     ,php-pear
     ,php-psr-log
     ,php-tcpdf

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --buildsystem=phppear --with phpcomposer

override_dh_clean:
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	dh_clean
	## dh_linktree can't replace directory with a symlink (#783924)
	## so we have to drop it (and since dh_linktree/replace do not
	## create new directories (#783906) a new symlink is to be made
	## manually if we want this folder in destination):
	$(RM) -vr packages/IDS/vendors/htmlpurifier/HTMLPurifier/DefinitionCache/Serializer

override_dh_install:
	dh_install --fail-missing \
            -Xlicense.txt -XLICENSE.txt -XLICENSE -XLICENSE.md -XCOPYING -Xgpl.txt \
            -XLICENSE.GPL -XLICENSE.LGPL -XLICENSE.TXT \
            -X.gitignore -X.gitmodules -X.gitattributes -X.DS_Store -X.swf \
            -Xagpl-3.0.txt -Xagpl-3.0.exception.txt \
            -XCHANGELOG.TXT -Xchangelog.txt -X/CHANGELOG.md -X/changelog.md \
            -X/bower.json -X/Gruntfile.js -X/package.json -X/composer.json -X/Makefile \
            -X/backbone-forms/scripts/build -Xicons.psd
	## executable-not-elf-or-script
	chmod -R -c a-x+X debian/*/usr/share
	## customise config file name:
	perl -pi -E 's{civicrm\.settings\.php}{civicrm-drupal.settings.php}sg;' \
            debian/drupal7-mod-civicrm/usr/share/drupal7/modules/civicrm/civicrm.config.php
	perl -pi -E 's{civicrm\.settings\.php}{civicrm-wordpress.settings.php}sg;' \
            debian/wordpress-civicrm/usr/share/wordpress/wp-content/plugins/civicrm/civicrm/civicrm.config.php
	## defaults: disable update check:
	perl -pi -E "s{'CiviCRM Preferences','versionCheck','i:\K1}{0}sg;" \
            debian/civicrm-common/usr/share/civicrm/sql/civicrm_generated.mysql

.PHONY: debian/civicrm-common
debian/civicrm-common:
	## Assist dh_linktree to do the right "replace" job:
	##  a) remove symlinks from destination (#783917):
	##  b) create tree of source directories in destination (#783906):
	grep ^replace $@.linktrees | \
        while read M S D; do\
            echo "pre-linktree: $$S --> $@$$D" ;\
            [ -f "$$S" ] && continue ;\
            [ -d "$@$$D" ] || mkdir -v -p "$@$$D" ;\
            find "$@$$D" -type l -delete -printf 'removed symlink %p\n' ;\
            cp -r --no-clobber --preserve=all "$$S"/* "$@$$D"/ ;\
        done

override_dh_link: debian/civicrm-common
	## we need to call dh_linktree before dh_link, not after like it
	## happens by default in "--with linktree" mode.
	dh_linktree
	## link minified .CSS and .JS with to their uncompressed versions:
	find $(CURDIR)/debian/civicrm-common/usr -type f -name "*[-.]min.css" -or -name "*[-.]min.js" | \
        while read MF; do \
            UF="$$(echo $${MF} | perl -pE 's{[\.-]min\.(js|css)}{.$$1};')" ;\
            if [ -f "$${UF}" -o -h "$${UF}" ]; then \
                ln -svfr "$${UF}" "$${MF}" ;\
            else \
                UF="$$(echo $${UF} | perl -pE 's{/\K([^/]+)\Z}{../$$1};')" ;\
                if [ -f "$${UF}" -o -h "$${UF}" ]; then \
                    ln -svfr "$${UF}" "$${MF}" ;\
                    continue ;\
                else \
                    UF="$$(echo $${UF} | perl -pE 's{/\K([^/]+)\Z}{src/$$1};')" ;\
                    [ -f "$${UF}" -o -h "$${UF}" ] && ln -svfr "$${UF}" "$${MF}" ;\
                fi ;\
            fi ;\
        done
	## Reduce duplication in CRM/*:
	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Core
	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Utils
	find $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM -maxdepth 1 -type d ! -name "CRM" | \
        while read L; do \
            BL="$$(basename $$L)" ;\
            ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/drupal7-mod-civicrm/usr/share/drupal7/modules/civicrm/CRM/$$BL" ;\
            ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/wordpress-civicrm/usr/share/wordpress/wp-content/plugins/civicrm/civicrm/CRM/$$BL" ;\
        done
	dh_link
	## remove empty directories:
	find $(CURDIR)/debian/civicrm-common/usr -type d -empty -delete -printf 'removed %p\n'
	## remove the following file due to security risk pop-up:
	$(RM) -v $(CURDIR)/debian/civicrm-common/usr/share/civicrm/vendor/dompdf/dompdf/dompdf.php

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?([\d.]+)};')
DTYPE = +dfsg
.PHONY: get-orig-source
get-orig-source: $(info I: $(PKG)_$(VER)) $(PKG)_$(VER)$(DTYPE).orig-wordpress.tar.xz $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.xz
	## get main archive:
	[ -s "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" ] \
        || uscan --noconf --verbose --rename --repack --compression xz --destdir=$(CURDIR) \
            --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

$(PKG)_$(VER)$(DTYPE).orig-l10n.tar.xz:
	$(if $(wildcard civicrm),$(error "civicrm" exists -- already extracted? Aborting..))
	$(if $(wildcard l10n),$(error "l10n" exists -- already extracted? Aborting..))
	## get translations and country data:
	[ -s "$(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz" ] \
        || wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz \
            http://downloads.sourceforge.net/project/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-l10n.tar.gz \
        || wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz \
            https://download.civicrm.org/civicrm-$(VER)-l10n.tar.gz?src=donate
	## repack translations:
	tar -xf $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz
	mv -v civicrm l10n
	find -L "l10n" -xdev -type f -print | LC_ALL=C sort \
        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig-l10n.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "l10n"

$(PKG)_$(VER)$(DTYPE).orig-wordpress.tar.xz:
	$(if $(wildcard civicrm),$(error "civicrm" exists -- already extracted? Aborting..))
	$(if $(wildcard wordpress),$(error "wordpress" exists -- already extracted? Aborting..))
	## get wordpress archive:
	[ -s "$(PKG)_$(VER).orig-wordpress.zip" ] \
	|| wget --tries=3 --timeout=40 --read-timeout=40 -O $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip \
            http://downloads.sourceforge.net/project/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-wordpress.zip \
	|| wget --tries=3 --timeout=40 --read-timeout=40 -O $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip \
            https://download.civicrm.org/civicrm-$(VER)-wordpress.zip?src=donate
	unzip $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip
	mv -v civicrm/civicrm/civicrm-version.php civicrm/
	$(RM) -r civicrm/civicrm/*
	mv -v civicrm/civicrm-version.php civicrm/civicrm/
	mv -v civicrm wordpress
	@echo "# Packing..."
	find -L "wordpress" -xdev -type f -print | LC_ALL=C sort \
        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig-wordpress.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "wordpress"

## civicrm 4.7.8+dfsg

=== debian/changelog ===
civicrm (4.7.8+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 03:04:14 +1000

civicrm (4.7.8+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Standards-Version: 3.9.8.
  * Corrected Vcs-Git URL.
  * Build-Depends:
    - php-gettext
    - php-mail-mimedecode
    + libjs-jquery-datatables (>= 1.10.11~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Jun 2016 16:58:57 +1000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
     ,libjs-backbone
     ,libjs-d3
     ,libjs-jquery (>= 1.11.3~)
-# ,libjs-jquery-datatables
+    ,libjs-jquery-datatables (>= 1.10.11~)
     ,libjs-jquery-form
     ,libjs-jquery-mousewheel
     ,libjs-jquery-ui (>= 1.10.1~)
@@ -29,13 +29,13 @@
     ,php-dompdf
     ,php-file-iterator
     ,php-font-lib
-    ,php-gettext
+#    ,php-gettext
     ,php-htmlpurifier
     ,php-http-request
     ,php-log
     ,php-mail
     ,php-mail-mime
-    ,php-mail-mimedecode
+#    ,php-mail-mimedecode
     ,php-net-dime
     ,php-net-smtp
     ,php-net-socket
@@ -59,10 +59,10 @@
     ,smarty3
 Build-Depends-Indep:
     unzip
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://civicrm.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/civicrm.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/civicrm.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/civicrm.git
 
 Package: civicrm-common
 Architecture: all

## civicrm 4.7.14+dfsg

=== debian/changelog ===
civicrm (4.7.14+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 29 Dec 2016 09:41:11 +1100

civicrm (4.7.14+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2016].
  * Build-Depends:
    + php-pclzip
    + zendframework
  * Removed dependency on "libfpdi-php" (Closes: #847324).
  * Fixed jquery-ui linktree (Closes: #843796).
  * wordpress-civicrm: install cron job example.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 29 Dec 2016 07:31:51 +1100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
     ,libjs-swfobject
 #    ,libjs-underscore
 #    ,php-config
-    ,libfpdi-php
     ,php-auth-sasl
     ,php-codecoverage
     ,php-console-table
@@ -41,6 +40,7 @@
     ,php-net-socket
 #    ,php-pager
     ,php-pear
+    ,php-pclzip
     ,php-psr-log
     ,php-tcpdf
     ,php-text-template
@@ -57,6 +57,7 @@
     ,php-token-stream
     ,php-validate
     ,smarty3
+    ,zendframework
 Build-Depends-Indep:
     unzip
 Standards-Version: 3.9.8

## civicrm 4.7.20+dfsg

=== debian/changelog ===
civicrm (4.7.20+dfsg-1ubuntu1) artful; urgency=medium

  * Merge from Debian Sid (LP: #1699623). Remaining changes:
    - Update to PHP 7.0 dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Jul 2017 06:02:54 -0500

civicrm (4.7.20+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2017].
  * Build-Depends:
    - php-services-json
    - zendframework

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 25 Jun 2017 19:48:59 +1000

civicrm (4.7.19+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2017].
  * Switched to bundled jQuery.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 22 May 2017 08:31:51 +1000

civicrm (4.7.17+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2017].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Mar 2017 00:08:39 +1100

civicrm (4.7.14+dfsg-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Update to PHP7.0 dependencies

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 02 Jan 2017 10:39:42 +0530

civicrm (4.7.8+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Update to PHP7.0 dependencies

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2016 17:23:16 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: civicrm
 Section: web
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:
     ,fonts-font-awesome
@@ -9,11 +10,12 @@
     ,libjs-angularjs
     ,libjs-backbone
     ,libjs-d3
-    ,libjs-jquery (>= 1.11.3~)
+#   ,libjs-jquery (>= 1.11.3~)
     ,libjs-jquery-datatables (>= 1.10.11~)
     ,libjs-jquery-form
     ,libjs-jquery-mousewheel
     ,libjs-jquery-ui (>= 1.10.1~)
+#    ,libjs-jquery-jstree
 #    ,libjs-lodash
     ,libjs-prettify
     ,libjs-qunit
@@ -45,7 +47,7 @@
     ,php-tcpdf
     ,php-text-template
     ,php-seclib
-    ,php-services-json
+#    ,php-services-json
 # Generated automatically by dh_phpcomposer:
 #    ,php-symfony-config (>= 2.5)
 #    ,php-symfony-dependency-injection (>= 2.5)
@@ -57,7 +59,7 @@
     ,php-token-stream
     ,php-validate
     ,smarty3
-    ,zendframework
+#    ,zendframework
 Build-Depends-Indep:
     unzip
 Standards-Version: 3.9.8
@@ -71,10 +73,10 @@
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
         ,ckeditor (>= 4.5.6~)
         ,fonts-font-awesome
-        ,libjs-jquery (>= 1.11.3~)
+#       ,libjs-jquery (>= 1.11.3~)
         ,libjs-jquery-ui (>= 1.10.1~)
     ,php-seclib
-Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n, php5-curl
+Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n, php-curl
 Suggests: ${phpcomposer:Debian-suggest}
          ,drupal7-mod-civicrm | wordpress-civicrm
 Description: CiviCRM common files

## civicrm 4.7.22+dfsg

=== debian/changelog ===
civicrm (4.7.22+dfsg-1ubuntu1) artful; urgency=medium

  * Merge from Debian Sid (LP: #1706140). Remaining changes:
    - Update to PHP 7.0 dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 24 Jul 2017 13:19:18 -0500

civicrm (4.7.22+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2017].
  * common/Depends += php-mbstring
  * common/Recommends += php-zip
  * common/Recommends: php5-curl --> php-curl
  * Debhelper & compat to version 10.
  * Standards-Version: 4.0.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 09 Jul 2017 00:01:58 +1000

## civicrm 4.7.23+dfsg

=== debian/changelog ===
civicrm (4.7.23+dfsg-1ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Update to PHP 7.0 dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 24 Aug 2017 05:20:01 -0500

civicrm (4.7.23+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2017].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Aug 2017 18:53:12 +1000

## civicrm 4.7.24+dfsg

=== debian/changelog ===
civicrm (4.7.24+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Update to PHP 7.0 dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Oct 2017 12:31:05 -0500

civicrm (4.7.24+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2017].
    + civicrm-common: removed broken symlink (Closes: #874762)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Sep 2017 07:24:05 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.14~), dh-linktree
+Build-Depends: debhelper (>= 10), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:
     ,fonts-font-awesome
 #    ,fonts-tlwg-norasi
@@ -62,7 +62,7 @@
 #    ,zendframework
 Build-Depends-Indep:
     unzip
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://civicrm.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/civicrm.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/civicrm.git
@@ -76,7 +76,10 @@
 #       ,libjs-jquery (>= 1.11.3~)
         ,libjs-jquery-ui (>= 1.10.1~)
     ,php-seclib
-Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n, php-curl
+    ,php-mbstring
+Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n
+    ,php-curl
+    ,php-zip
 Suggests: ${phpcomposer:Debian-suggest}
          ,drupal7-mod-civicrm | wordpress-civicrm
 Description: CiviCRM common files

## civicrm 4.7.30+dfsg

=== vendor/zetacomponents/mail/DESCRIPTION ===
The component allows you construct and/or parse Mail messages conforming to 
the mail standard. It has support for attachments, multipart messages and HTML 
mail. It also interfaces with SMTP to send mail or IMAP, POP3 or mbox to 
retrieve e-mail.

=== debian/changelog ===
civicrm (4.7.30+dfsg-1ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Update to PHP 7.0 dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 19 Mar 2018 23:54:12 -0500

civicrm (4.7.30+dfsg-1) unstable; urgency=medium

  * New upstream release [February 2018].
    + fixed multiple XSS vulnerabilities (Closes: #887330).
    + fixed compatibility with php-symfony 3.4 (Closes: #883640).
  * No longer build "drupal7-mod-civicrm" package (Closes: #885117).
    Thanks, Gunnar Wolf.
  * Standards-Version: 4.1.3.
  * debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 19 Mar 2018 08:27:36 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10), pkg-php-tools (>= 1.14~), dh-linktree
+Build-Depends: debhelper (>= 11~), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:
     ,fonts-font-awesome
 #    ,fonts-tlwg-norasi
@@ -62,7 +62,7 @@
 #    ,zendframework
 Build-Depends-Indep:
     unzip
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://civicrm.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/civicrm.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/civicrm.git
@@ -81,7 +81,8 @@
     ,php-curl
     ,php-zip
 Suggests: ${phpcomposer:Debian-suggest}
-         ,drupal7-mod-civicrm | wordpress-civicrm
+    ,wordpress-civicrm
+#   |drupal7-mod-civicrm
 Description: CiviCRM common files
  CiviCRM is web-based, Constituent Relationship Management (CRM) software
  geared toward meeting the needs of non-profit and other civic-sector
@@ -133,28 +134,28 @@
  .
  This package contains CiviCRM language files and countries data.
 
-Package: drupal7-mod-civicrm
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, drupal7, civicrm-common (= ${source:Version})
-Suggests: civicrm-l10n
-Enhances: drupal7
-Description: CiviCRM plugin for Drupal7
- CiviCRM is web-based, Constituent Relationship Management (CRM) software
- geared toward meeting the needs of non-profit and other civic-sector
- organizations.
- .
- As a non profit committed to the public good itself, CiviCRM understands
- that forging and growing strong relationships with constituents is about
- more than collecting and tracking constituent data - it is about sustaining
- relationships with supporters over time.
- .
- With CiviCRM's robust feature set, organizations can further their mission
- through contact management, fundraising, event management, member
- management, mass e-mail marketing, peer-to-peer campaigns, case management,
- and much more.
- .
- This package proviced CiviCRM plugin for Drupal7.
+#Package: drupal7-mod-civicrm
+#Architecture: all
+#Multi-Arch: foreign
+#Depends: ${misc:Depends}, drupal7, civicrm-common (= ${source:Version})
+#Suggests: civicrm-l10n
+#Enhances: drupal7
+#Description: CiviCRM plugin for Drupal7
+# CiviCRM is web-based, Constituent Relationship Management (CRM) software
+# geared toward meeting the needs of non-profit and other civic-sector
+# organizations.
+# .
+# As a non profit committed to the public good itself, CiviCRM understands
+# that forging and growing strong relationships with constituents is about
+# more than collecting and tracking constituent data - it is about sustaining
+# relationships with supporters over time.
+# .
+# With CiviCRM's robust feature set, organizations can further their mission
+# through contact management, fundraising, event management, member
+# management, mass e-mail marketing, peer-to-peer campaigns, case management,
+# and much more.
+# .
+# This package proviced CiviCRM plugin for Drupal7.
 
 Package: wordpress-civicrm
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel --buildsystem=phppear --with phpcomposer
+	dh $@ --buildsystem=phppear --with phpcomposer
 
 override_dh_clean:
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
@@ -103,9 +103,9 @@
 	## get translations and country data:
 	[ -s "$(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz" ] \
         || wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz \
-            http://downloads.sourceforge.net/project/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-l10n.tar.gz \
+            https://storage.googleapis.com/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-l10n.tar.gz \
         || wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz \
-            https://download.civicrm.org/civicrm-$(VER)-l10n.tar.gz?src=donate
+            https://download.civicrm.org/civicrm-$(VER)-l10n.tar.gz
 	## repack translations:
 	tar -xf $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz
 	mv -v civicrm l10n
@@ -119,9 +119,9 @@
 	## get wordpress archive:
 	[ -s "$(PKG)_$(VER).orig-wordpress.zip" ] \
 	|| wget --tries=3 --timeout=40 --read-timeout=40 -O $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip \
-            http://downloads.sourceforge.net/project/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-wordpress.zip \
+            https://storage.googleapis.com/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-wordpress.zip \
 	|| wget --tries=3 --timeout=40 --read-timeout=40 -O $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip \
-            https://download.civicrm.org/civicrm-$(VER)-wordpress.zip?src=donate
+            https://download.civicrm.org/civicrm-$(VER)-wordpress.zip
 	unzip $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip
 	mv -v civicrm/civicrm/civicrm-version.php civicrm/
 	$(RM) -r civicrm/civicrm/*

=== debian/watch ===
--- 
+++ 
@@ -11,4 +11,4 @@
 repacksuffix=+dfsg,\
 dversionmangle=s{\+dfsg\d*}{},\
  https://civicrm.org/download/list \
- .*/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)(?:\?src=donate)
+ .*/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)(?:\?src=donate)?

## civicrm 5.3.1+dfsg

=== debian/changelog ===
civicrm (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2018].
    + CIVI-SA-2018-007
  * Depends += "php-xml".
  * Un-bundled php-htmlpurifier (Closes: #899072).
  * watch file to version 4; MUT tarball layout.
  * rules: removed get-orig-source target.
  * README.Debian: added upgrade note.
  * Standards-Version: 4.1.5.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Jul 2018 14:40:11 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: civicrm
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.1.5
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:
     ,fonts-font-awesome
@@ -31,7 +31,6 @@
     ,php-file-iterator
     ,php-font-lib
 #    ,php-gettext
-    ,php-htmlpurifier
     ,php-http-request
     ,php-log
     ,php-mail
@@ -62,10 +61,9 @@
 #    ,zendframework
 Build-Depends-Indep:
     unzip
-Standards-Version: 4.1.3
 Homepage: https://civicrm.org
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/civicrm.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/civicrm.git
+Vcs-Browser: https://salsa.debian.org/debian/civicrm
+Vcs-Git: https://salsa.debian.org/debian/civicrm.git
 
 Package: civicrm-common
 Architecture: all
@@ -75,8 +73,10 @@
         ,fonts-font-awesome
 #       ,libjs-jquery (>= 1.11.3~)
         ,libjs-jquery-ui (>= 1.10.1~)
+    ,php-htmlpurifier
     ,php-seclib
     ,php-mbstring
+    ,php-xml
 Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n
     ,php-curl
     ,php-zip

=== debian/watch ===
# uscan(1) configuration file.
version=4

## Redirector http://qa.debian.org/watch/sf.php/civicrm/

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
" https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)-drupal\.(?:zip|tar\.gz|tar\.xz|tar\.bz2)

opts="\
component=wordpress,\
pgpmode=none,\
repack,compression=xz,oversionmangle=s{(.*)}{$1+dfsg},\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
" https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)-wordpress\.(?:zip|tar\.gz|tar\.xz|tar\.bz2)

opts="\
component=l10n,\
pgpmode=none,\
repack,compression=xz,oversionmangle=s{(.*)}{$1+dfsg},\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
" https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)\-l10n\.tar\.(?:gz|xz|bz2)


#opts=\
#repacksuffix=+dfsg,\
#dversionmangle=s{\+dfsg\d*}{},\
# http://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)

## only latest version; no history.
#opts="\
#pgpmode=none,\
#repacksuffix=+dfsg,\
#repack,compression=xz,\
#dversionmangle=s{[+~](dfsg|ds)\d*}{},\
#" https://civicrm.org/download/list \
# .*/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)(?:\?src=donate)?

## civicrm 5.4.1+dfsg

=== debian/changelog ===
civicrm (5.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 05 Sep 2018 18:50:16 +1000

## civicrm 5.5.2+dfsg

=== debian/changelog ===
civicrm (5.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2018].
  * Drop dependency on "libjs-swfobject" (Closes: #908696).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 25 Sep 2018 17:28:14 +1000

## civicrm 5.6.0+dfsg

=== debian/changelog ===
civicrm (5.6.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Dmitry Smirnov ]
  * New upstream release.
  * New patch to fix warning with PHP7.2.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Oct 2018 15:14:05 +1100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 #    ,libjs-lodash
     ,libjs-prettify
     ,libjs-qunit
-    ,libjs-swfobject
 #    ,libjs-underscore
 #    ,php-config
     ,php-auth-sasl

## civicrm 5.8.0+dfsg

=== debian/changelog ===
civicrm (5.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2018].
  * Re-build for "php-psr-log" transition (Closes: #914733).
  * Standards-Version: 4.2.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 13 Dec 2018 12:57:10 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: civicrm
 Section: web
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:
@@ -15,7 +15,7 @@
     ,libjs-jquery-form
     ,libjs-jquery-mousewheel
     ,libjs-jquery-ui (>= 1.10.1~)
-#    ,libjs-jquery-jstree
+#    ,libjs-jquery-jstree (>= 3.3.7~)
 #    ,libjs-lodash
     ,libjs-prettify
     ,libjs-qunit

## civicrm 5.8.2+dfsg

=== debian/changelog ===
civicrm (5.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2018].
  * Relaxed "php-psr-log" versioning (Closes: #914733).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 21 Dec 2018 13:28:43 +1100

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	find $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM -maxdepth 1 -type d ! -name "CRM" | \
         while read L; do \
             BL="$$(basename $$L)" ;\
-            ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/drupal7-mod-civicrm/usr/share/drupal7/modules/civicrm/CRM/$$BL" ;\
+            true|| ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/drupal7-mod-civicrm/usr/share/drupal7/modules/civicrm/CRM/$$BL" ;\
             ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/wordpress-civicrm/usr/share/wordpress/wp-content/plugins/civicrm/civicrm/CRM/$$BL" ;\
         done
 	dh_link
@@ -85,49 +85,3 @@
 	find $(CURDIR)/debian/civicrm-common/usr -type d -empty -delete -printf 'removed %p\n'
 	## remove the following file due to security risk pop-up:
 	$(RM) -v $(CURDIR)/debian/civicrm-common/usr/share/civicrm/vendor/dompdf/dompdf/dompdf.php
-
-PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
-PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?([\d.]+)};')
-DTYPE = +dfsg
-.PHONY: get-orig-source
-get-orig-source: $(info I: $(PKG)_$(VER)) $(PKG)_$(VER)$(DTYPE).orig-wordpress.tar.xz $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.xz
-	## get main archive:
-	[ -s "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" ] \
-        || uscan --noconf --verbose --rename --repack --compression xz --destdir=$(CURDIR) \
-            --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
-
-$(PKG)_$(VER)$(DTYPE).orig-l10n.tar.xz:
-	$(if $(wildcard civicrm),$(error "civicrm" exists -- already extracted? Aborting..))
-	$(if $(wildcard l10n),$(error "l10n" exists -- already extracted? Aborting..))
-	## get translations and country data:
-	[ -s "$(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz" ] \
-        || wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz \
-            https://storage.googleapis.com/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-l10n.tar.gz \
-        || wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz \
-            https://download.civicrm.org/civicrm-$(VER)-l10n.tar.gz
-	## repack translations:
-	tar -xf $(PKG)_$(VER)$(DTYPE).orig-l10n.tar.gz
-	mv -v civicrm l10n
-	find -L "l10n" -xdev -type f -print | LC_ALL=C sort \
-        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig-l10n.tar.xz" -T- --owner=root --group=root --mode=a+rX \
-        && $(RM) -r "l10n"
-
-$(PKG)_$(VER)$(DTYPE).orig-wordpress.tar.xz:
-	$(if $(wildcard civicrm),$(error "civicrm" exists -- already extracted? Aborting..))
-	$(if $(wildcard wordpress),$(error "wordpress" exists -- already extracted? Aborting..))
-	## get wordpress archive:
-	[ -s "$(PKG)_$(VER).orig-wordpress.zip" ] \
-	|| wget --tries=3 --timeout=40 --read-timeout=40 -O $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip \
-            https://storage.googleapis.com/civicrm/civicrm-stable/$(VER)/civicrm-$(VER)-wordpress.zip \
-	|| wget --tries=3 --timeout=40 --read-timeout=40 -O $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip \
-            https://download.civicrm.org/civicrm-$(VER)-wordpress.zip
-	unzip $(CURDIR)/$(PKG)_$(VER).orig-wordpress.zip
-	mv -v civicrm/civicrm/civicrm-version.php civicrm/
-	$(RM) -r civicrm/civicrm/*
-	mv -v civicrm/civicrm-version.php civicrm/civicrm/
-	mv -v civicrm wordpress
-	@echo "# Packing..."
-	find -L "wordpress" -xdev -type f -print | LC_ALL=C sort \
-        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig-wordpress.tar.xz" -T- --owner=root --group=root --mode=a+rX \
-        && $(RM) -r "wordpress"

## civicrm 5.9.1+dfsg

=== debian/changelog ===
civicrm (5.9.1+dfsg-1) unstable; urgency=medium

  [ Kunal Mehta <legoktm@debian.org> ]
  * Don't depend on php-symfony-polyfill-iconv (Closes: #918307)

  [ Dmitry Smirnov ]
  * New upstream release [January 2018].
  * Wordpress install from scratch fixes and docs.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Jan 2019 11:27:33 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: civicrm
 Section: web
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:

## civicrm 5.10.1+dfsg

=== debian/changelog ===
civicrm (5.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release [February 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Feb 2019 14:49:05 +1100

## civicrm 5.11.0+dfsg

=== debian/changelog ===
civicrm (5.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Mar 2019 12:33:38 +1100

## civicrm 5.18.1+dfsg

=== debian/changelog ===
civicrm (5.18.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Oct 2019 17:25:33 +1100

civicrm (5.17.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use built-in pgp-log and php-tcpdf.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 01 Oct 2019 20:42:46 +1000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
     ,php-font-lib
 #    ,php-gettext
     ,php-http-request
-    ,php-log
+#    ,php-log
     ,php-mail
     ,php-mail-mime
 #    ,php-mail-mimedecode
@@ -42,7 +42,7 @@
     ,php-pear
     ,php-pclzip
     ,php-psr-log
-    ,php-tcpdf
+#~    ,php-tcpdf
     ,php-text-template
     ,php-seclib
 #    ,php-services-json

## civicrm 5.20.3+dfsg

=== debian/changelog ===
civicrm (5.20.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed CIVI-SA-2019-24: CSRF in APIv4 AJAX end point.
      https://civicrm.org/advisory/civi-sa-2019-24-csrf-in-apiv4-ajax-end-point
  * Removed obsolete symlink to "open-flash-chart.swf" (Closes: #857601).
  * Standards-Version: 4.4.1.
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 01 Jan 2020 11:53:41 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: civicrm
 Section: web
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~), pkg-php-tools (>= 1.14~), dh-linktree
+Build-Depends: debhelper-compat (= 12), pkg-php-tools (>= 1.14~), dh-linktree
 # unbundled:
     ,fonts-font-awesome
 #    ,fonts-tlwg-norasi

## civicrm 5.21.0+dfsg

=== debian/changelog ===
civicrm (5.21.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Depends += "php-tcpdf (>= 6.3.2~)".
  * Updated upgrade notes in "README.Debian" to include link to
    "Cleanup Caches" page.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Jan 2020 19:56:43 +1100

## civicrm 5.21.1+dfsg

=== debian/changelog ===
civicrm (5.21.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jan 2020 13:39:06 +1100

## civicrm 5.21.2%2Bdfsg

=== debian/watch ===
--- 
+++ 
@@ -27,7 +27,7 @@
 #opts=\
 #repacksuffix=+dfsg,\
 #dversionmangle=s{\+dfsg\d*}{},\
-# http://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)
+# https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)
 
 ## only latest version; no history.
 #opts="\

## civicrm 5.21.2+dfsg

=== debian/changelog ===
civicrm (5.21.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Jan 2020 12:42:01 +1100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
     ,php-pear
     ,php-pclzip
     ,php-psr-log
-#~    ,php-tcpdf
+    ,php-tcpdf (>= 6.3.2~)
     ,php-text-template
     ,php-seclib
 #    ,php-services-json
@@ -76,6 +76,8 @@
     ,php-seclib
     ,php-mbstring
     ,php-xml
+# Provides sRGB.icc to replace in bundled php-tcpdf:
+    ,icc-profiles-free
 Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n
     ,php-curl
     ,php-zip

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	$(RM) -vr packages/IDS/vendors/htmlpurifier/HTMLPurifier/DefinitionCache/Serializer
 
 override_dh_install:
-	dh_install --fail-missing \
+	dh_install \
             -Xlicense.txt -XLICENSE.txt -XLICENSE -XLICENSE.md -XCOPYING -Xgpl.txt \
             -XLICENSE.GPL -XLICENSE.LGPL -XLICENSE.TXT \
             -X.gitignore -X.gitmodules -X.gitattributes -X.DS_Store -X.swf \
@@ -35,6 +35,9 @@
 	## defaults: disable update check:
 	perl -pi -E "s{'CiviCRM Preferences','versionCheck','i:\K1}{0}sg;" \
             debian/civicrm-common/usr/share/civicrm/sql/civicrm_generated.mysql
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 .PHONY: debian/civicrm-common
 debian/civicrm-common:
